Jump to content
Not connected, Your IP: 3.214.184.196
Staff

Eddie Desktop 2.18beta released

Recommended Posts

On 9/13/2019 at 8:17 PM, Gaechka said:

I want to have Eddie always with me on an encrypted flash drive. And maybe this can be sound paranoic, but I don't want it to be installed system-wide and be easy to discovered. There are countries where they can come for everyone just because they want to, and you want to protect yourself just in case ;) I'm using Debian Stretch. Anyways, aren't portable apps popular for many reasons these days, along with flatpaks, appimages and etc.?

Portable versions restored in 2.18.3.
Try also the AppImage version 🤗

Share this post


Link to post
On 9/13/2019 at 10:59 PM, amilino said:

On lates Raspbian on RPi4 I am getting error and not able to use latest beta version:

Unable to obtain elevated privileges (required): eddie_file_get_runasroot


This is a known issue, resolved in 2.18.3. Please retry.

Share this post


Link to post
On 9/14/2019 at 11:18 AM, pjnsmb said:

Linux sid debian unstable beta2 not working for me.
...
E 2019.09.14 10:02:39 - OpenVPN > Error: Not supported OpenVPN config.


You resolved the issue, but if you remember the settings that cause the "Error: Not supported OpenVPN config.", please retry with 2.18.3: more detail are dumped in the log. Thanks.

Share this post


Link to post
On 9/14/2019 at 4:39 PM, EtV said:

Hi Clodo,
Thanks for going through the small stuff I was wondering about!  I've downloaded the new beta (2.18.2); same laptop as I was using before; running MacOS 10.14.6 (Mojave).  I've re-enabled notifications in the new beta and attached a screen grab of what I'm seeing.  I do get the pop-up window notifications from Eddie, but nothing is then appearing in the "Notifications" area of the OS sidebar.  Perhaps I'm just misunderstanding what is supposed to happen, and what I'm seeing is the intended behavior?  Either way, hopefully the attached grab helps to clarify things.  Thanks again!

eddie-beta-notifications.png


Switch from "Today" to "Notifications" tab? 
In our High Sierra and Mojave, notifications are under "Notifications" tab.
It's how macOS works...

Share this post


Link to post
On 9/15/2019 at 8:59 PM, BlueBanana said:
. 2019.09.15 20:55:56 - SSL > 2019.09.15 20:55:56 LOG3[ui]: Cannot create pid file /var/run/stunnel4.pid
. 2019.09.15 20:55:56 - SSL > 2019.09.15 20:55:56 LOG3[ui]: create: Permission denied (13)

This issue it's resolved in 2.18.3.  If happen again, please report if /var/run/stunnel4.pid file exists and if is root-owned, thx.

Share this post


Link to post
On 9/19/2019 at 12:02 PM, GJElde said:

On openSUSE 15.1 I already had eddie crash a few times on flushing dns.
Can't do anything anymore, just Ctrl-Alt-Backspace.
and then a restart.

can't find much in the log file?

. 2019.09.19 11:51:14 - Routes, added a new route, 213,152,162,165 for gateway 10.8.250.1
. 2019.09.19 11:51:14 - Routes, added a new route, 2a00: 1678: 2470: 16: 2536: 2634: 117a: ef44 for gateway fde6: 7a: 7d20: 4fa :: 1
. 2019.09.19 11:51:14 - Flushing DNS
. 2019.09.19 11:57:24 - Received signal SIGHUP
. 2019.09.19 11:57:24 - Received signal SIGTERM


Issue (hang near flush-dns phase) resolved in 2.18.3, thanks. Anyway, if happen again, more data are logged to identify the issue, thx.

Share this post


Link to post
On 9/19/2019 at 7:19 PM, nlbRxwy said:


On debian 10 (buster), when starting eddie or trying to activate network lock, I get the following error:
Exception: ip6tables don't reply, probabily kernel modules issue
I get a similar error on my laptop, which has the same operating system.
 


Resolved in 2.18.3.
Now Eddie detect the legacy presence of iptables in Debian10. In future Eddie version we will implement a native nft network lock.

Share this post


Link to post
On 9/21/2019 at 8:24 AM, GJElde said:
** (eddie-tray:4500): WARNING **: Invalid borders specified for theme pixmap:
        /usr/share/themes/Breeze/gtk-2.0/../assets/line-h.png,
borders don't fit within the image


its freezing eddie every time.

i am back to 2.13.6, this works well on openSUSE 15.1


This is still unresolved/unidentified. Please retry with 2.18.3.
 

On 9/20/2019 at 6:55 PM, Atomas said:
I have the same problem on Mac OS 10.14.6. I can not start Eddy 2 .18.2, I get the message that I do not have the higher permissions to have access to Eddy's login. I tried with the root user and I have the same message. I tried to modify Eddy's permissions directly on Eddy by (read the information-permissions) and I lost full access to my user accounts. Fortunately I had made a backup on Time Machine before. Uninstalling Eddy 2.17.2 by deleting the default file, does not fix the problem. After reinstalling 2.17.2 everything works again.


This is still unresolved/unidentified. Please retry with 2.18.3.
 

On 9/14/2019 at 6:24 PM, radolkin said:

I'm using Eddie 2.18.2 on Arch Linux  It works for the most part, but here are two things (errors), that I observed.

1. Sometimes (not always) I get the following message, when I try to activate the Network Lock.

F 2019.09.14 11:55:59 - Operations that change non-concurrent collections must have exclusive access. A concurrent update was performed on this collection and corrupted its state. The collection's state is no longer correct.
When I exit Eddie and restart it, activating the Network Lock will work without fail.

2. Every time I exit Eddie via the main menu, I get the following error message(s).
. 2019.09.14 00:14:45 - Connection terminated.
. 2019.09.14 00:14:45 - DNS of the system restored to original settings (Rename method)
. 2019.09.14 00:14:45 - Flushing DNS
! 2019.09.14 00:14:45 - Session terminated.
. 2019.09.14 00:14:45 - Deactivation of Network Lock
F 2019.09.14 00:14:46 - Unexpected error. Please contact our support staff. - CurrentDomain - Object reference not set to an instance of an object -   at Eddie.Core.Engine.OnRefreshUi (Eddie.Core.Engine+RefreshUiMode mode) [0x002c4] in <340a1946f0a9426c8813241b7eee6ee9>:0
F 2019.09.14 00:14:46 -     at Eddie.Forms.Engine.OnRefreshUi (Eddie.Core.Engine+RefreshUiMode mode) [0x00000] in <5fbe796381a84f5a98be2d000f3cda3f>:0
F 2019.09.14 00:14:46 -     at Eddie.Core.Engine.DeAuth () [0x00037] in <340a1946f0a9426c8813241b7eee6ee9>:0
F 2019.09.14 00:14:46 -     at Eddie.Core.Engine.OnDeInit2 () [0x00020] in <340a1946f0a9426c8813241b7eee6ee9>:0
F 2019.09.14 00:14:46 -     at Eddie.Core.Engine.MainStepDeInit () [0x00027] in <340a1946f0a9426c8813241b7eee6ee9>:0
F 2019.09.14 00:14:46 -     at Eddie.Core.Engine.OnRun () [0x00016] in <340a1946f0a9426c8813241b7eee6ee9>:0
F 2019.09.14 00:14:46 -     at Eddie.Core.Thread.DoRun () [0x00000] in <340a1946f0a9426c8813241b7eee6ee9>:0
F 2019.09.14 00:14:46 -     at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00014] in <d59a6ed4e2f34efbabec0525e05bcea7>:0
F 2019.09.14 00:14:46 -     at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00071] in <d59a6ed4e2f34efbabec0525e05bcea7>:0
F 2019.09.14 00:14:46 -     at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <d59a6ed4e2f34efbabec0525e05bcea7>:0
F 2019.09.14 00:14:46 -     at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x0002b] in <d59a6ed4e2f34efbabec0525e05bcea7>:0
F 2019.09.14 00:14:46 -     at System.Threading.ThreadHelper.ThreadStart () [0x00008] in <d59a6ed4e2f34efbabec0525e05bcea7>:0
[ERROR] FATAL UNHANDLED EXCEPTION: System.NullReferenceException: Object reference not set to an instance of an object
  at Eddie.Core.Engine.OnRefreshUi (Eddie.Core.Engine+RefreshUiMode mode) [0x002c4] in <340a1946f0a9426c8813241b7eee6ee9>:0
  at Eddie.Forms.Engine.OnRefreshUi (Eddie.Core.Engine+RefreshUiMode mode) [0x00000] in <5fbe796381a84f5a98be2d000f3cda3f>:0
  at Eddie.Core.Engine.DeAuth () [0x00037] in <340a1946f0a9426c8813241b7eee6ee9>:0
  at Eddie.Core.Engine.OnDeInit2 () [0x00020] in <340a1946f0a9426c8813241b7eee6ee9>:0
  at Eddie.Core.Engine.MainStepDeInit () [0x00027] in <340a1946f0a9426c8813241b7eee6ee9>:0
  at Eddie.Core.Engine.OnRun () [0x00016] in <340a1946f0a9426c8813241b7eee6ee9>:0
  at Eddie.Core.Thread.DoRun () [0x00000] in <340a1946f0a9426c8813241b7eee6ee9>:0
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00014] in <d59a6ed4e2f34efbabec0525e05bcea7>:0
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00071] in <d59a6ed4e2f34efbabec0525e05bcea7>:0
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <d59a6ed4e2f34efbabec0525e05bcea7>:0
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x0002b] in <d59a6ed4e2f34efbabec0525e05bcea7>:0
  at System.Threading.ThreadHelper.ThreadStart () [0x00008] in <d59a6ed4e2f34efbabec0525e05bcea7>:0

If I perform the exiting manually, meaning
- Disconnect
- Deactivate Network Lock
- Logout
- Exit
then I don't get the aforementioned error.

Both problems do not prevent me from using Eddie, but I guess they warrant a closer look nonetheless.


This is still unresolved/unidentified. Please retry with 2.18.3.
 

On 9/16/2019 at 2:41 AM, Grindle222 said:

Running Ubuntu 19.04, previous versions of Eddie didn't work with Wayland, so I ran X-org.  This beta, though, is working fine with Wayland, except for one thing:
When I started it up, I accidentally entered the wrong password.  i got an error message about entering an incorrect password, and everything involving Eddie froze.  I was unable to end or kill the process, restart Eddie, or do anything else with it until I rebooted.  After that, still on Wayland, I restarted Eddie, entered the RIGHT password, and it's been working fine.  (I havent yet tried entering the wrong password while running X-org - I guess I'll have to try that to see if this is Wayland-specific or not.)


This is still unresolved/unidentified. Please retry with 2.18.3.
 

Share this post


Link to post
2 hours ago, Clodo said:
On 9/21/2019 at 8:24 AM, GJElde said:
** (eddie-tray:4500): WARNING **: Invalid borders specified for theme pixmap:
        /usr/share/themes/Breeze/gtk-2.0/../assets/line-h.png,
borders don't fit within the image


its freezing eddie every time.

i am back to 2.13.6, this works well on openSUSE 15.1


This is still unresolved/unidentified. Please retry with 2.18.3.


I can maybe assist. Depending on the KDE version this might be a bug in the theme itself. I'm using v5.14.5 with Breeze for both GTK 2 and 3 and Eddie works.
Check if you have the following OpenSuSE packages installed, maybe even upgrade all of KDE to newer versions if applicable.
  • breeze-gtk
  • gtk2-metatheme-breeze
  • gtk3-metatheme-breeze
What is your KDE version, by the way?

I searched a bit around and stumbled upon this issue on GitHub. Suggestion:
 
Quote
As root, edit /usr/share/themes/gtk-2.0/Breeze/gtkrc (or gtk-3.0/gtkrc?). Find the second occurrence of "../assets/line-h.png", in the "separator_menu_item" section, and comment out the "file" and "border" lines.

Four simple things:
There's a guide to AirVPN. Before you ask questions, take 30 minutes of your time to go through it.

Amazon IPs are not dangerous here. It's the fallback DNS.
Running TOR exits is discouraged. They're subject to restrictions on the internet and harm all AirVPN users.

Furthermore, I propose that your paranoia is to be destroyed. If you overdo privacy, you'll be unique among the mass again.

 

XMPP: gigan3rd@xmpp.airvpn.org or join our lounge@conference.xmpp.airvpn.org

Share this post


Link to post
On 9/20/2019 at 9:52 PM, giganerd said:
Cannot reproduce on KDE Plasma 5.14.5.
Thanks for trying. I am also using KDE Plasma 5.14.5.
The behaviour does no longer happen with version 2.18.3, so this is no longer an issue.

Share this post


Link to post
6 hours ago, Clodo said:

Portable versions restored in 2.18.3.
Try also the AppImage version 🤗

Thank you!

Share this post


Link to post

I am running Windows 8.1.  Eddie 2.18.2 ran okay on my computer.  Eddie 2.18.3 has a problem every time I try to connect to a server.  It keeps resetting with the error " OpenVPN > Error: Not supported OpenVPN config: up not allowed".  I tried restarting my computer with no effect.  I have gone back to Eddie 2.18.2.  I have attached a log.

eddie_2019-09-27.log

Share this post


Link to post

With Eddie 2.18.3 portable version when I click connect I get error window with this message: "Unexpected crash of elevated helped: Elevated communication closed". And also on my MATE desktop 1.20.4 (on Debian Stretch) I don't have tray icon and Eddie doesn't minimize to tray - it never worked with previous versions as well.

Share this post


Link to post

First, thanks for providing new Eddie version(s).
I've been using 2.18.2 and the only problem I encounter is when I've deactivated my WLAN completely, Eddie can not find /etc/resolv.conf

 

! 2019.09.28 12:15:40 - Activation of Network Lock - macOS - PF
F 2019.09.28 12:15:41 - Could not find file "/etc/resolv.conf"
it's only working when WLAN is activated and connected -- before Eddie is started...
2.17.n versions did not have this issue

On 2.18.3 I can not connect to any server due to unknown cmd - same issue persists with resolv.conf when WLAN is off
 
! 2019.09.28 12:32:26 - Connecting to Scuti (Netherlands, Alblasserdam)
E 2019.09.28 12:32:27 - OpenVPN > Error: Unknown command.
! 2019.09.28 12:32:27 - Disconnecting
I'm running macOS 10.14.6

Share this post


Link to post
4 hours ago, pjnsmb said:

 Desktop: MATE 1.22.2 Distro: siduction 18.3.0 Patience - mate - (201811041851) 
           base: Debian GNU/Linux bullseye/sid 

same for me - unexpected crash error
beta2 was working ok for me

 


@Gaechka and @pjnsmb
I just installed a fresh Siduction Patience (download, install OS, install eddie.deb, run), connecting to a London server (same of you), all works.
Actually can't reproduce your issue, but this kind of error is priority for us.

Please:
- Download and extract the PORTABLE version (.tar.gz), and launch it (without connect). This will not touch your .deb installation and don't touch/use your standard profile.
- Go to Preferences -> Logging and enable both "Logging on file" and "Log debug".
- Connect (cause the issue)
- If crash, send here (or via ticket) the generated logs/*.log file.
Thanks!


 

VirtualBox_Siduction 18.3.0 Patience - Mate_28_09_2019_12_52_10.png

Share this post


Link to post
7 hours ago, amateur25 said:

I am running Windows 8.1.  Eddie 2.18.2 ran okay on my computer.  Eddie 2.18.3 has a problem every time I try to connect to a server.  It keeps resetting with the error " OpenVPN > Error: Not supported OpenVPN config: up not allowed".  I tried restarting my computer with no effect.  I have gone back to Eddie 2.18.2.  I have attached a log.

eddie_2019-09-27.log 1.09 kB · 6 downloads


This is very strange, i cannot reproduce it right now, but you are not the first with this issue, we absolutely need to understand what cause it.
You are using the "Installer" or "Portable" version?
If you download the Portable and extract in a temp folder, launch, it throw the same error?
You can write here (or via ticket) a full log, generated by "lifebelt" button in Logs tab?
Thanks
 

Share this post


Link to post
Quote
" OpenVPN > Error: Not supported OpenVPN config: up not allowed"
Same error, restarts connection all the time, everything was fine on 2.18.2. Running on windows 10
Both portable and installer 2.18.3 produce this error.

Share this post


Link to post
54 minutes ago, steinok said:
Same error, restarts connection all the time, everything was fine on 2.18.2. Running on windows 10
Both portable and installer 2.18.3 produce this error.

Hi, i just updated the 2.18.3 Windows .exe and .zip to better log this issue.
You can please re-download and report again the error? will be different.
Thanks!

Share this post


Link to post
13 minutes ago, Clodo said:

Hi, i just updated the 2.18.3 Windows .exe and .zip to better log this issue.
You can please re-download and report again the error? will be different.
Thanks!
Now it's

 OpenVPN > Error: Not supported OpenVPN config: directive 'upuecaejjhe28syee5ghuf8pxx5shi8m3jyqrch+ae38tp2chfxhgjj3nyt4ttsl' not allowed

I've sent full old and new log files via support request

Share this post


Link to post
35 minutes ago, steinok said:
Now it's

 OpenVPN > Error: Not supported OpenVPN config: directive 'upuecaejjhe28syee5ghuf8pxx5shi8m3jyqrch+ae38tp2chfxhgjj3nyt4ttsl' not allowed

I've sent full old and new log files via support request
Re-download again now. Thx.

Share this post


Link to post

not solved on openSUSE 15.1,
** (eddie-tray:964): WARNING **: Invalid borders specified for theme pixmap:
        /usr/share/themes/Breeze/gtk-2.0/../assets/line-h.png,
borders don't fit within the image


can't do anything with eddie anymore
had opened eddie with console, closing console brings eddie back and disconnect eddie and then I can close eddie
it happens after min and max screen eddie

Share this post


Link to post
On 9/27/2019 at 11:43 AM, Clodo said:

Switch from "Today" to "Notifications" tab? 
In our High Sierra and Mojave, notifications are under "Notifications" tab.
It's how macOS works...

Hi Clodo,
I was on the "Notifications" tab when I took that screen grab.  That said, this totally a case of operator-error on my part...D'oh!  In the System Preferences>Notifications, I had Eddie set to not display in the Notifications Center, thus it was only showing the banners (which was allowed in the Prefs).  My apologies for the goof on my part and for taking your time away from more important issues!  🙈

Share this post


Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
  • Security Check
    Play CAPTCHA Audio
    Refresh Image

×
×
  • Create New...